clarfy.f(3)

NAME
clarfy.f

SYNOPSIS

  Functions/Subroutines
subroutine clarfy (UPLO, N, V, INCV, TAU, C, LDC, WORK)
CLARFY

Function/Subroutine Documentation

  subroutine clarfy (character UPLO, integer N, complex, dimension( * ) V, integer INCV, complex TAU, complex, dimension( ldc, * ) C, integer LDC, complex, dimension( * ) WORK)

Purpose:

     CLARFY applies an elementary reflector, or Householder matrix, H,
     to an n x n Hermitian matrix C, from both the left and the right.
     H is represented in the form
        H = I - tau * v * v'
     where  tau  is a scalar and  v  is a vector.
     If  tau  is  zero, then  H  is taken to be the unit matrix.

Parameters
    UPLO

              UPLO is CHARACTER*1
              Specifies whether the upper or lower triangular part of the
              Hermitian matrix C is stored.
              = 'U':  Upper triangle
              = 'L':  Lower triangle

    N

              N is INTEGER
              The number of rows and columns of the matrix C.  N >= 0.

    V

              V is COMPLEX array, dimension
                      (1 + (N-1)*abs(INCV))
              The vector v as described above.

    INCV

              INCV is INTEGER
              The increment between successive elements of v.  INCV must
              not be zero.

    TAU

              TAU is COMPLEX
              The value tau as described above.

    C

              C is COMPLEX array, dimension (LDC, N)
              On entry, the matrix C.
              On exit, C is overwritten by H * C * H'.

    LDC

              LDC is INTEGER
              The leading dimension of the array C.  LDC >= max( 1, N ).

    WORK

              WORK is COMPLEX array, dimension (N)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 107 of file clarfy.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.